# DataExchange
TKSTEP
StepToGeom

# StepToGeom_MakeTransformation2d Class Reference

Convert cartesian_transformation_operator_2d to gp_Trsf2d
.

`#include <StepToGeom_MakeTransformation2d.hxx>`

Inheritance diagram for StepToGeom_MakeTransformation2d:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepToGeom_MakeTransformation2d (const Handle(StepGeom_CartesianTransformationOperator2d)&CTO)
| Create tool and perform conversion .
Standard_EXPORT const gp_Trsf2d & | Value () const
| Return resulting transformation (defined only if IsDone()) .

## Private Attributes

gp_Trsf2d | myT

## Constructor & Destructor Documentation

Standard_EXPORT StepToGeom_MakeTransformation2d::StepToGeom_MakeTransformation2d | ( | const Handle(StepGeom_CartesianTransformationOperator2d)& | CTO | ) |

## Member Function Documentation

void StepToGeom_MakeTransformation2d::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepToGeom_Root.

void* StepToGeom_MakeTransformation2d::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepToGeom_Root.

void* StepToGeom_MakeTransformation2d::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepToGeom_Root.

Standard_EXPORT const gp_Trsf2d& StepToGeom_MakeTransformation2d::Value | ( |  | ) | const

## Field Documentation

gp_Trsf2d StepToGeom_MakeTransformation2d::myT`[private]`

The documentation for this class was generated from the following file:

- StepToGeom_MakeTransformation2d.hxx